FIM Reference: What Version of SQL Server to Use on the FIM Backend

FIM Reference: What Version of SQL Server to Use on the FIM Backend



Overview / Purpose 

In support we do receive calls about the versions/builds of Microsoft SQL Server that are supported as a backend SQL Server for the Synchronization Service Engine, and the FIM Service Database.  This wiki page is to help breakdown the builds of the Identity Management product, and builds of SQL Server to help provide guidance in this area.

Chart Breakdown

MIIS 2003 Service Pack 2 - ( 3.2.1005, 3.2.1008, 3.2.1016 ) 

  • SQL Server 2000 Service Pack 3a
  • SQL Server 2000 Service Pack 4
  • SQL Server 2005
  • SQL Server 2005 with Service Packs
Enterprise, Standard, Developer 

IIFP Service Pack 2 - ( 3.2.1005, 3.2.1008 )

  • SQL Server 2000 Service Pack 3a
  • SQL Server 2000 Service Pack 4
  • SQL Server 2005
  • SQL Server 2005 with Service Packs
 Enterprise, Standard, Developer

ILM 2007 RTM - ( 3.2.559 )

  • SQL Server 2000 Service Pack 3a
  • SQL Server 2000 Service Pack 4
  • SQL Server 2005
  • SQL Server 2005 with Service Packs
Enterprise, Standard, Developer

ILM 2007 Feature Pack 1 - ( 3.3.0118.2 through 3.3.1139.2 )

  • SQL Server 2000 Service Pack 4
  • SQL Server 2005 Service Pack 2 or later 
Enterprise, Standard, Developer

ILM 2007 Feature Pack 1 Service Pack 1 (3.3.1139.2 and later)

  • SQL Server 2005 Service Pack 1 - 4
  • SQL Server 2008
  • SQL Server 2008 Service Pack 1 - 2 or later
Enterprise, Standard, Developer

ILM 2007 Feature Pack 1 Service Pack 1 (3.3.1160.2, 3.3.1166.2, 3.3.1169.2)

  • SQL Server 2005 Service Pack 1 - 4
  • SQL Server 2008
  • SQL Server 2008 Service Pack 1
  • SQL Server 2008 R2

    *NOTE: You will need to obtain a full build of 3.3.1160.2 from CSS

    to install against SQL Server 2008 R2*
Enterprise, Standard, Developer

FIM 2010

  • SQL Server 2008 Service Pack 1 or later
  • SQL Server 2008 R2
  • SQL Server 2008 R2 Service Pack 1 or later
Enterprise, Standard, Developer

FIM 2010 R2

  • SQL Server 2008 R2
  • SQL Server 2008 R2 Service Pack 1 or later
Enterprise, Standard, Developer
FIM 2010 R2 SP1
  • SQL Server 2008 R2
  • SQL Server 2008 R2 Service Pack 1 or later
  • SQL Server 2012
 Enterprise, Standard, Developer

Versions of SQL Server

See Also

Sort by: Published Date | Most Recent | Most Useful
Comments
  • I'm wondering why FIM 2010 (4.0.3531.2 OR Later) not describes that also SQL Server 2008 SP1 or Later is supported.  (Like you write for FIM 2010 R2).

  • Thanks for sharing..helpful.

Page 1 of 1 (2 items)